#!/usr/bin/env bash
rm -rf /tmp/project

echo "Step 1: project command dry run"
pub run bin/daily_programmer_dart_cli.dart project --dry-run -p /tmp -n testName project
[ $? -eq 0 ] && [ -e /tmp/project ] && echo "Fail step 1" && exit 1

echo "Step 2: project command"
pub run bin/daily_programmer_dart_cli.dart project -p /tmp -n testName project
[ $? -eq 0 ] && [ ! -e /tmp/project ] && echo "Fail step 2" && exit 1

echo "Step 3: challenge command dry run"
pub run bin/daily_programmer_dart_cli.dart challenge --dry-run -p /tmp/project challenge
[ $? -eq 0 ] && [ -e /tmp/project/lib/challenge ] && echo "Fail step 3" && exit 1

echo "Step 4: challenge command"
pub run bin/daily_programmer_dart_cli.dart challenge -p /tmp/project challenge
[ $? -eq 0 ] && [ ! -e /tmp/project/lib/challenge.dart ] && echo "Fail step 4" && exit 1